Subject: draft-snyder-bfd-proxy-connections-monitored-links

From: Gregory Mirsky <[email-masked]>
Date: Mon, 7 Jul 2014 23:33:54 +0000

Dear Authors, et. al,
I've read the document with lots of interest. I think that the use case you've described may be looked as case of interworking between two OAM mechanisms. Have you considered addressing the use case through DLEP and BFD interworking? I think that may become part of broader BFD - Foo OAM (e.g. CFM/Y.1731) interworking document.

                Regards,
                                Greg

---

From: "Snyder, Brian" <[email-masked]>
Date: Tue, 8 Jul 2014 01:31:04 +0000

Greg,

Hello. I initially started trying to solve my problem solely with DLEP but it didn’t fit the bill for a few reasons. Mainly the ad-hoc nature of DLEP, the ubiquitous availability of BFD vs. DLEP, the scalability, and most importantly BFD worked with more protocols (like BGP) that I needed….  and a few other reasons that I’d be happy to discuss at IETF meeting (or further via email).  Ultimately, I did not need a lot of the fancier features of DLEP - I was only interested in link up / down not link quality metrics - so BFD was a natural and simpler fit.   I was also very interested in keeping all the ‘chattiness’ of BFD of the monitored links as my monitored links are very expensive (satellite bandwidth) and so proxying it seemed like a great solution.  I’ll be presenting this in idea further in Toronto… I’m happy to hear others have interest… Feel free to ask for further details if you’re so inclined….

Thanks,
Brian

On Jul 7, 2014, at 7:33 PM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear Authors, et. al,
I’ve read the document with lots of interest. I think that the use case you’ve described may be looked as case of interworking between two OAM mechanisms. Have you considered addressing the use case through DLEP and BFD interworking? I think that may become part of broader BFD – Foo OAM (e.g. CFM/Y.1731) interworking document.

                Regards,
                                Greg

---

From: Jeffrey Haas <[email-masked]>
Date: Tue, 8 Jul 2014 09:39:56 -0400

On Tue, Jul 08, 2014 at 01:31:04AM +0000, Snyder, Brian wrote:
> Hello. I initially started trying to solve my problem solely with DLEP but
> it didn?t fit the bill for a few reasons. Mainly the ad-hoc nature of
> DLEP, the ubiquitous availability of BFD vs. DLEP, the scalability, and
> most importantly BFD worked with more protocols (like BGP) that I needed?.
> and a few other reasons that I?d be happy to discuss at IETF meeting (or
> further via email).  Ultimately, I did not need a lot of the fancier
> features of DLEP - I was only interested in link up / down not link
> quality metrics - so BFD was a natural and simpler fit.   I was also very
> interested in keeping all the ?chattiness? of BFD of the monitored links
> as my monitored links are very expensive (satellite bandwidth) and so
> proxying it seemed like a great solution.  I?ll be presenting this in idea
> further in Toronto? I?m happy to hear others have interest? Feel free to
> ask for further details if you?re so inclined?.

This is a great time to mention that while we're looking forward to
presentations at the upcoming IETF session, the agenda has gotten a bit
crowded.  Seeding in-session discussion from things on the mailing list a
great way to best use our time. :-)

-- Jeff

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Wed, 9 Jul 2014 23:26:51 +0000

Hi Brian, Greg,

To me, usage of BFD proxy technique described in the document for monitored links (ex: Satellite) make sense and functions well.

However, Greg does raise an interesting point.

BFD Foo Proxy, where Foo can be:
1. Monitored links (covered in this document).
2. State of OAM in other layers.
3. State of another BFD session.

And (3) seems to be described as a new requirement here.

http://www.ietf.org/id/draft-zhang-bfd-new-use-cases-00.txt, Section 3.4.

Let us keep an open mind about this and discuss.

Thanks!

-Nobo

> -----Original Message-----
> From: Snyder, Brian [mailto:[email-masked]]
> Sent: Monday, July 07, 2014 9:31 PM
> To: Gregory Mirsky
> Cc: [email-masked];
> [email-masked]
> Subject: Re: draft-snyder-bfd-proxy-connections-monitored-links
> 
> Greg,
> 
> Hello. I initially started trying to solve my problem solely with DLEP but it
> didn't fit the bill for a few reasons. Mainly the ad-hoc nature of DLEP, the
> ubiquitous availability of BFD vs. DLEP, the scalability, and most importantly
> BFD worked with more protocols (like BGP) that I needed....  and a few other
> reasons that I'd be happy to discuss at IETF meeting (or further via email).
> Ultimately, I did not need a lot of the fancier features of DLEP - I was only
> interested in link up / down not link quality metrics - so BFD was a natural
> and simpler fit.   I was also very interested in keeping all the 'chattiness' of
> BFD of the monitored links as my monitored links are very expensive
> (satellite bandwidth) and so proxying it seemed like a great solution.  I'll be
> presenting this in idea further in Toronto... I'm happy to hear others have
> interest... Feel free to ask for further details if you're so inclined....
> 
> Thanks,
> Brian
> 
> 
> On Jul 7, 2014, at 7:33 PM, Gregory Mirsky
> <[email-masked]<mailto:[email-masked]>>
> wrote:
> 
> Dear Authors, et. al,
> I've read the document with lots of interest. I think that the use case you've
> described may be looked as case of interworking between two OAM
> mechanisms. Have you considered addressing the use case through DLEP
> and BFD interworking? I think that may become part of broader BFD - Foo
> OAM (e.g. CFM/Y.1731) interworking document.
> 
>                 Regards,
>                                 Greg

---

From: Mingui Zhang <[email-masked]>
Date: Thu, 10 Jul 2014 01:36:51 +0000

Hi Nobo,

This is a very clear description. Now I can understand the difference between (1) and (3) very well.

I think "Section 6.8.17.  Concatenated Paths in [RFC5880]" should be on the table for discussion. The proxy here is close to the "interworking system" there.

Thanks,
Mingui
>From: Rtg-bfd [mailto:[email-masked]] On Behalf Of Nobo Akiya (nobo)
>Sent: Thursday, July 10, 2014 7:27 AM
>To: Snyder, Brian; Gregory Mirsky
>Cc: [email-masked];
>[email-masked]
>Subject: RE: draft-snyder-bfd-proxy-connections-monitored-links
>
>Hi Brian, Greg,
>
>To me, usage of BFD proxy technique described in the document for monitored
>links (ex: Satellite) make sense and functions well.
>